<form action="{% url 'delete_thread' thread.pk %}" method="post"> {% csrf_token %}
    <div id="del-thread-{{ thread.pk }}-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content" >
                <div class="modal-header">
                    <h3 class="primary-text-color">Confirm delete</h3>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-center text-dark p-5">
                    <h5>Are you sure you want to delete this thread?</h5>
                </div>
                <div class="modal-footer d-flex justify-content-between">
                    <input type="submit" value="YES" class="btn btn-primary">
                    <button type="button" data-bs-dismiss="modal" class="btn btn-primary">NO</button>
                </div>
            </div>
        </div>
    </div>
</form>